# ~/.profile: executed by the command interpreter for login shells.
# This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login
# exists.
# see /usr/share/doc/bash/examples/startup-files for examples.
# the files are located in the bash-doc package.

# the default umask is set in /etc/profile; for setting the umask
# for ssh logins, install and configure the libpam-umask package.
#umask 022

# if running bash
if [ -n "$BASH_VERSION" ]; then
    # include .bashrc if it exists
    if [ -f "$HOME/.bashrc" ]; then
	. "$HOME/.bashrc"
    fi
fi

# set PATH so it includes user's private bin if it exists
if [ -d "$HOME/bin" ] ; then
    PATH="$HOME/bin:$PATH"
fi

# set PATH so it includes user's private bin if it exists
if [ -d "$HOME/.local/bin" ] ; then
    PATH="$HOME/.local/bin:$PATH"
fi
export PATH="/home/nathan/Downloads/go/bin:$PATH"
export PATH="/home/nathan/Downloads/idea-IU-232.10072.27/bin:$PATH"
export PATH="/home/nathan/.local/bin:$PATH"
export ANDROID_HOME="$HOME/Android/Sdk"
export PATH="$PATH:$ANDROID_HOME/platform-tools"
export PATH="$PATH:/home/nathan/Android/Sdk/cmdline-tools/latest/bin/"
. "$HOME/.cargo/env"

export PATH="/home/nathan/.local/share/solana/install/active_release/bin:$PATH"
export HSD_URL=hsd01.dev.woodburn.au
export HSD_HTTP_HOST=hsd01.dev.woodburn.au
export HSD_API_KEY=y5cSK42tgVCdt4E58jkHjI3nQ9GU32bC

. "$HOME/.atuin/bin/env"
